## mx4j.tools.adaptor.http
Class HttpConstants

    java.lang.Object
      mx4j.tools.adaptor.http.HttpConstants

public class HttpConstants
extends java.lang.Object

Define constants for the HTTP request processing

Version:
  $Revision: 1.3 $

Field Summary
`static java.lang.String` `HTTP_VERSION` HTTP implemented version
`static java.lang.String` `METHOD_GET` Get method header
`static java.lang.String` `METHOD_POST` Post method header
`static java.lang.String` `SERVER_INFO` Server info header
`static int` `STATUS_AUTHENTICATE` Status code AUTHENTICATE
`static int` `STATUS_BAD_REQUEST` Status code BAD REQUEST
`static int` `STATUS_FORBIDDEN` Status code FORBIDDEN
`static int` `STATUS_INTERNAL_ERROR` Status code INTERNAL ERROR
`static int` `STATUS_MOVED_PERMANENTLY` Status code MOVED PERMANENTLY
`static int` `STATUS_MOVED_TEMPORARILY` Status code MOVED TEMPORARILY
`static int` `STATUS_NO_CONTENT` Status code NO CONTENT
`static int` `STATUS_NOT_ALLOWED` Status code NOT ALLOWED
`static int` `STATUS_NOT_FOUND` Status code NOT FOUND
`static int` `STATUS_NOT_IMPLEMENTED` Status code NOT IMPLEMENTED
`static int` `STATUS_OKAY` Status code OK

Constructor Summary
`HttpConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_INFO

    public static final java.lang.String SERVER_INFO

  Server info header

  See Also:
    Constant Field Values

### HTTP_VERSION

    public static final java.lang.String HTTP_VERSION

  HTTP implemented version

  See Also:
    Constant Field Values

### METHOD_GET

    public static final java.lang.String METHOD_GET

  Get method header

  See Also:
    Constant Field Values

### METHOD_POST

    public static final java.lang.String METHOD_POST

  Post method header

  See Also:
    Constant Field Values

### STATUS_OKAY

    public static final int STATUS_OKAY

  Status code OK

  See Also:
    Constant Field Values

### STATUS_NO_CONTENT

    public static final int STATUS_NO_CONTENT

  Status code NO CONTENT

  See Also:
    Constant Field Values

### STATUS_MOVED_PERMANENTLY

    public static final int STATUS_MOVED_PERMANENTLY

  Status code MOVED PERMANENTLY

  See Also:
    Constant Field Values

### STATUS_MOVED_TEMPORARILY

    public static final int STATUS_MOVED_TEMPORARILY

  Status code MOVED TEMPORARILY

  See Also:
    Constant Field Values

### STATUS_BAD_REQUEST

    public static final int STATUS_BAD_REQUEST

  Status code BAD REQUEST

  See Also:
    Constant Field Values

### STATUS_AUTHENTICATE

    public static final int STATUS_AUTHENTICATE

  Status code AUTHENTICATE

  See Also:
    Constant Field Values

### STATUS_FORBIDDEN

    public static final int STATUS_FORBIDDEN

  Status code FORBIDDEN

  See Also:
    Constant Field Values

### STATUS_NOT_FOUND

    public static final int STATUS_NOT_FOUND

  Status code NOT FOUND

  See Also:
    Constant Field Values

### STATUS_NOT_ALLOWED

    public static final int STATUS_NOT_ALLOWED

  Status code NOT ALLOWED

  See Also:
    Constant Field Values

### STATUS_INTERNAL_ERROR

    public static final int STATUS_INTERNAL_ERROR

  Status code INTERNAL ERROR

  See Also:
    Constant Field Values

### STATUS_NOT_IMPLEMENTED

    public static final int STATUS_NOT_IMPLEMENTED

  Status code NOT IMPLEMENTED

  See Also:
    Constant Field Values

Constructor Detail

### HttpConstants

    public HttpConstants()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.